using System.Collections.Generic;
using MusicMetaTagger.Core.Model;

namespace MusicMetaTagger.Core.Services
{
	public interface IMusicGuide
	{
		Artist GetArtist(string artistId);
		Album GetAlbum(string albumId);
		Song GetSong(string songId);
		List<ArtistResult> SearchArtist(string artistName);
		List<AlbumResult> SearchAlbum(string albumName);
		List<SongResult> SearchSong(string songName);
	}
}